{% extends "base.html" %}

{% load i18n applications_tags seawatch_registration_tags %}

{% block extra_css %}{{ block.super }}
{{ form.media.css }}{% endblock %}

{% block content %}
    <h1>
        {{ application.name }}
        <small>Submitted {{ application.created }}</small>
    </h1>
    <section class="application-data">
        <form data-warn-on-leave-if-changed method="post" novalidate autocomplete="off">
            {% csrf_token %}
            <div class="application-data-column">
              {{ form }}
            </div>
            <div class="application-data-column">
              <div class="planner--card single-textbox" style="white-space: pre-line;"
                ><h2>Why do you want to work for Sea-Watch?</h2
                >{{ application.motivation }}</div>
              <div class="planner--card single-textbox" style="white-space: pre-line;"
                ><h2>What qualifies you for the chosen positions?</h2
                  >{{ application.qualification }}</div>
            </div>
            <div style="grid-column: 1 / -1; display: flex; justify-content: end; gap: 6px;">
                <input
                    type="submit"
                    class="button button-primary"
                    value="Save changes"
                    data-disable-until-first-edit
                >
            </div>
        </form>
    </section>
    <hr>
    <h1 class="alt-color">Sea-Watch Internal</h1>
    <section class="application-internal">
        {% include "applications/application_form_accept_some_positions.html" %}
        {% include "applications/application_form_add_comment.html" %}
    </section>
    <div style="display: flex; justify-content: end; gap: 6px;">
        <button id="deleteApplication" class="button">Delete application</button>
        {# acceptApplication button is replaced dynamically when deciding positions #}
        {% include "applications/application_form_accept_button.html" %}
    </div>
{% endblock %}

{% block extra_scripts %}{{ block.super }}
    {{ form.media.js }}
    <script>
        // Short script to open confirmation modal and forward to deletion page if confirmed
        var deleteButton = document.getElementById('deleteApplication');
        var deleteApplicationDialog = document.getElementById('deleteApplicationDialog');

        // Open modal
        deleteButton.addEventListener('click', function onOpen() {
            if (typeof deleteApplicationDialog.showModal === "function") {
                deleteApplicationDialog.showModal();
            } else {
                window.location = '{% url "application_delete" pk=application.pk %}'
            }
        });
    </script>
{% endblock %}

{% block extra_body_content %}
    {% include "applications/application_form_delete_dialog.html" %}
{% endblock %}
